Bug 1303898 - [geo-rep]: Observed "extended attribute not supported by the backend storage" errors in the gluster.log
[geo-rep]: Observed "extended attribute not supported by the backend storage"...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 06:13 EST by Rahul Hinduja
Modified: 2018-04-17 21:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-16 11:56:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Hinduja 2016-02-02 06:13:56 EST
Description of problem:
=======================

On a Tiered geo-rep setup, following errors were reported:

[root@dhcp37-95 master]# grep -i " E " *  | grep "extended"
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-01 15:34:06.028475] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-01 15:56:51.453380] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-01 16:10:58.466173] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-01 16:31:07.371934] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-01 16:41:48.892225] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-01 17:00:14.752297] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-01 15:34:07.001576] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-01 15:56:39.131212] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-01 16:10:33.582921] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-01 16:28:21.796955] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-01 16:40:05.916176] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-01 16:43:12.546010] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-01 17:02:06.690375] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 15:34:04.568466] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 15:55:07.418179] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 15:59:54.196451] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 16:30:43.144756] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 16:31:48.657928] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 16:40:11.403146] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 16:42:09.798513] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Froot%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick3%2Ftier0.gluster.log:[2016-02-01 16:58:53.943344] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
[root@dhcp37-95 master]# 

Above errors are from both cold and hot tier bricks. None of the case failed and all the 20k files got sync to slave. Arequal checksum matches.

Same use case with RHEL6.7 and non-tiered volume (DR master and slave) did not report these errors. 

Will try the same case on same setup (RHEL7.2 and cold tier being disperse) with non-tiered volume and update the result. 


Version-Release number of selected component (if applicable):
=============================================================

glusterfs-3.7.5-18.el7rhgs.x86_64

How reproducible:
==================

1/1


Steps to Reproduce:
===================
1. Create Master tier volume (CT: 2x(4+2) and HT: 2x2)
2. Create slave volume (4x2)
3. Create geo-rep session
4. Mount master and create data (use crefi and dd)
5. Let the data be synced and perform different fops from master like symlink,hardlink,chmod,chown etc
6. Monitor geo-rep logs

Actual results:
===============

Files gets sync to slave but reports errors as "extended attribute not supported by backend storage"


Expected results:
=================

Files should sync without errors
Comment 3 Rahul Hinduja 2016-02-04 04:12:06 EST
Found this issue on non-tiered setup too with platform RHEL 7.2 

[root@dhcp37-95 geo-replication]# grep -ri " E " | grep -v "mem-pool.c:417:mem_get0"
master/ssh%3A%2F%2Fgeoaccount%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-03 20:57:43.750449] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
master/ssh%3A%2F%2Fgeoaccount%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick1%2Fct0.gluster.log:[2016-02-03 21:00:06.898731] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
master/ssh%3A%2F%2Fgeoaccount%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-03 20:57:43.761347] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
master/ssh%3A%2F%2Fgeoaccount%4010.70.37.52%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Frhs%2Fbrick2%2Fct6.gluster.log:[2016-02-03 21:00:17.825346] E [fuse-bridge.c:3354:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
[root@dhcp37-95 geo-replication]# 


Created secure geo-rep setup with the existing files to be synced using {Hybrid Crawl}
Comment 4 Rahul Hinduja 2016-04-14 02:30:12 EDT
FR, Build: glusterfs-3.7.9-1.el7rhgs.x86_64

ssh%3A%2F%2Fgeoaccount%4010.70.37.122%3Agluster%3A%2F%2F127.0.0.1%3Avol1.%2Frhs%2Fbrick2%2Fb6.gluster.log-[2016-04-13 14:07:49.273491] I [MSGID: 108031] [afr-common.c:1913:afr_local_discovery_cbk] 0-vol0-replicate-2: selecting local read_child vol0-client-5
ssh%3A%2F%2Fgeoaccount%4010.70.37.122%3Agluster%3A%2F%2F127.0.0.1%3Avol1.%2Frhs%2Fbrick2%2Fb6.gluster.log-[2016-04-13 14:07:49.275413] I [MSGID: 108031] [afr-common.c:1913:afr_local_discovery_cbk] 0-vol0-replicate-5: selecting local read_child vol0-client-11
ssh%3A%2F%2Fgeoaccount%4010.70.37.122%3Agluster%3A%2F%2F127.0.0.1%3Avol1.%2Frhs%2Fbrick2%2Fb6.gluster.log:[2016-04-13 14:08:54.952893] E [fuse-bridge.c:3358:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage
ssh%3A%2F%2Fgeoaccount%4010.70.37.122%3Agluster%3A%2F%2F127.0.0.1%3Avol1.%2Frhs%2Fbrick2%2Fb6.gluster.log:[2016-04-13 14:20:06.339234] E [fuse-bridge.c:3358:fuse_xattr_cbk] 0-glusterfs-fuse: extended attribute not supported by the backend storage

Note You need to log in before you can comment on or make changes to this bug.